Subject: 27.0.50; dconf spews warnings on Emacs startup

From: Lars Ingebrigtsen <[email-masked]>
Date: Mon, 16 Apr 2018 01:02:13 +0200

When I start Emacs, I get several screenfuls of this:

(emacs:22926): dconf-CRITICAL **: unable to create file '/run/user/1000/dconf/user': Permission denied.  dconf will not work properly.

(emacs:22926): dconf-CRITICAL **: unable to create file '/run/user/1000/dconf/user': Permission denied.  dconf will not work properly.

(emacs:22926): dconf-CRITICAL **: unable to create file '/run/user/1000/dconf/user': Permission denied.  dconf will not work properly.

I assume that this means that my Emacs is compiled with settings that
aren't present when I'm running Emacs, but I think Emacs shouldn't be
outputting these messages, either.  "CRITICAL".  (I don't care about
"dconf", whatever that is.)

If it is Emacs that's outputting it, that is, and not some library we
have no way of shutting up?

In GNU Emacs 27.0.50 (build 7, x86_64-pc-linux-gnu, GTK+ Version 3.22.11)
 of 2018-04-15 built on corrigan
Repository revision: 1c16fbd1b281a46b07028ca78dbaab9a0ec6fd2f
Windowing system distributor 'The X.Org Foundation', version 11.0.11902000
System Description: Debian GNU/Linux 9 (stretch)

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no